Package org.apache.cxf.endpoint

# Interface EndpointImplFactory

All Known Implementing Classes:
  `SimpleEndpointImplFactory`

public interface EndpointImplFactory
This interface defines an object that can create EndpointImpl objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointImpl`
  `newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.

- ## Method Details

  - ### newEndpointImpl

    EndpointImpl newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo) throws EndpointException
    Create an EndpointImpl from a bus, service, and endpoint info.
    Parameters:
      `bus` -
      `service` -
      `endpointInfo` -
    Throws:
      `EndpointException`